Tools
Get API Tool Details
Retrieve detailed information about a specific API integration tool
GET
/
tools
/
{tool_id}
Get Tool by ID
curl --request GET \
--url https://api.kallabot.com/tools/{tool_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tool_schema": {
"tools": [
{
"type": "function",
"function": {
"name": "get_customer_orders",
"description": "Fetch recent orders for a customer by ID.",
"parameters": {},
"strict": true
}
}
],
"tools_params": {},
"mcp_servers": [
{
"url": "<string>"
}
],
"api_tool_ids": [
"<string>"
],
"call_transfer_config": {},
"call_transfer_description": "<string>"
},
"tags": [
"<string>"
],
"isActive": true,
"lastTested": "2023-11-07T05:31:56Z",
"testStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}⌘I
Get Tool by ID
curl --request GET \
--url https://api.kallabot.com/tools/{tool_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/tools/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"tool_schema": {
"tools": [
{
"type": "function",
"function": {
"name": "get_customer_orders",
"description": "Fetch recent orders for a customer by ID.",
"parameters": {},
"strict": true
}
}
],
"tools_params": {},
"mcp_servers": [
{
"url": "<string>"
}
],
"api_tool_ids": [
"<string>"
],
"call_transfer_config": {},
"call_transfer_description": "<string>"
},
"tags": [
"<string>"
],
"isActive": true,
"lastTested": "2023-11-07T05:31:56Z",
"testStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}
